package com.glxp.mipsdl.res.udiwms;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class UdiRelevanceResponse {
    //UdiRelevanceEntity
    private Long id;
    private String uuid;
    private String mainId;
    private String thirdId;
    private String thirdId1;
    private String thirdId2;
    private String thirdId3;
    private String thirdId4;
    private String udplatCode;
    private Boolean isUseDy;
    private Boolean isDisable;
    private Boolean isLock;
    private Integer lockStatus;
    private Boolean isAdavence;
    private Boolean useMuti;
    private Integer useNum;
    private String supName;
    private Date createTime;
    private Date updateTime;
    private Date modifyTime;
    private String createUser;
    private String updateUser;
    private String remark;


    //UdiInfoEntity
    private String originUuid;
    private String nameCode;
    private String deviceRecordKey;
    private String packRatio;
    private String packLevel;
    private String packUnit;
    private Integer bhxjsl;
    private Integer bhzxxsbzsl;
    private Integer zxxsbzbhsydysl;
    private String bhxjcpbm;
    private String bzcj;
    private String cpmctymc;
    private String cplb;
    private String flbm;
    private String ggxh;
    private String qxlb;
    private String tyshxydm;
    private String ylqxzcrbarmc;
    private String zczbhhzbapzbh;
    private String ylqxzcrbarywmc;
    private String sydycpbs;
    private String sjcpbm;
    private Integer versionNumber;
    private Integer diType;
    private String ybbm;
    private String sptm;
    private String manufactory;
    private String measname;
    private Integer productType;
    private String scbssfbhph;
    private String scbssfbhxlh;
    private String scbssfbhscrq;
    private String scbssfbhsxrq;
    private String cpms;
    private Boolean allowNoBatch;
    private Boolean allowNoExpire;
    private Boolean allowNoProduct;
    private Boolean allowNoSerial;
    private String spmc;
    private String cplx;
    private String hchzsb;
    private String cpdls;
    private String basicPrductRemak1;
    private String basicPrductRemak2;
    private String basicPrductRemak3;
    private String basicPrductRemak4;
    private String basicPrductRemak5;
    private String basicPrductRemak6;
    private String basicPrductRemak7;
    private String basicPrductRemak8;
    private BigDecimal price;
    private String PRId;

    private Boolean isSelect;

    private Boolean bindCheck;

    private Integer useExpireTime;

    private Integer lowStockNum;
    private Integer overStockNum;
    private Integer recentDateTime;
    private Integer isDateBy;
    private String relCode;
    private int index;

    private int reCount;

    //关联查询字典
    private String unitFk;          //供应商ID
    private String companyName;     //供应商名称


    //手持终端下载需要主键
    private Long relId;
    private boolean dispatch;           //是否可配送
    private boolean groupBuy;           //是否集采产品
    private boolean needCert;           //是否需要资质材料

    private String classifyName;        //物资分类名称
    private Integer zdcfsycs;

    private String customerId;
    private String sfwblztlcp;
    private String cgzmraqxgxx;
    private String sfbjwycxsy;
    private String sfwwjbz;
    private String syqsfxyjxmj;
    private String mjfs;
    private String categoryName;
    private Integer count;
    private Long deId;

    private String payFeeCode;


    private Integer bpcrid;

    private String hslbName;

    public int getBhzxxsbzsl() {
        if (bhzxxsbzsl == null || bhzxxsbzsl == 0) {
            return 1;
        } else
            return bhzxxsbzsl;
    }


    public Boolean getAllowNoBatch() {
        if (allowNoBatch == null)
            return false;
        return allowNoBatch;
    }

    public Boolean getAllowNoExpire() {
        if (allowNoExpire == null)
            return false;
        return allowNoExpire;
    }

    public Boolean getAllowNoProduct() {
        if (allowNoProduct == null)
            return false;
        return allowNoProduct;
    }

    public Boolean getAllowNoSerial() {

        if (allowNoSerial == null)
            return true;
        return allowNoSerial;
    }

    public Boolean getUseDy() {
        if (isUseDy == null)
            return false;
        return isUseDy;
    }
}
